PredicateLeaf (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.io.sarg

## Interface PredicateLeaf

- All Known Implementing Classes:
    SearchArgumentImpl.PredicateLeafImpl

      public interface PredicateLeaf

  The primitive predicates that form a SearchArgument.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PredicateLeaf.Operator` The possible operators for predicates.
    `static class` | `PredicateLeaf.Type` The possible types for sargs.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getColumnName()` Get the simple column name.
    `Object` | `getLiteral()` Get the literal half of the predicate leaf.
    `List<Object>` | `getLiteralList()` For operators with multiple literals (IN and BETWEEN), get the literals.
    `PredicateLeaf.Operator` | `getOperator()` Get the operator for the leaf.
    `PredicateLeaf.Type` | `getType()` Get the type of the column and literal by the file format.

- - ### Method Detail

    - #### getOperator

          PredicateLeaf.Operator getOperator()

      Get the operator for the leaf.

    - #### getType

          PredicateLeaf.Type getType()

      Get the type of the column and literal by the file format.

    - #### getColumnName

          String getColumnName()

      Get the simple column name.
      Returns:
        the column name

    - #### getLiteral

          Object getLiteral()

      Get the literal half of the predicate leaf. Adapt the original type for what orc needs
      Returns:
        an Integer, Long, Double, or String

    - #### getLiteralList

          List<Object> getLiteralList()

      For operators with multiple literals (IN and BETWEEN), get the literals.
      Returns:
        the list of literals (Integer, Longs, Doubles, or Strings)

Copyright © 2016 The Apache Software Foundation. All rights reserved.